CNVKIT_SEGMETRICS(1)

NAME
cnvkit_segmetrics - Compute segment-level metrics from bin-level log2 ratios.

DESCRIPTION
usage: cnvkit.py segmetrics [-h] -s SEGMENTS [--drop-low-coverage]

[-o FILENAME] [--mean] [--median] [--mode]
    [--t-test] [--stdev] [--sem] [--mad] [--mse] [--iqr] [--bivar] [--ci] [--pi] [-a ALPHA] [-b BOOTSTRAP] [--smooth-bootstrap] cnarray

  positional arguments:

cnarray
    Bin-level copy ratio data file (*.cnn, *.cnr).

  options:

-h, --help
    show this help message and exit

-s SEGMENTS, --segments SEGMENTS
    Segmentation data file (*.cns, output of the 'segment' command).

--drop-low-coverage
    Drop very-low-coverage bins before calculations to avoid negative bias in poor-quality tumor samples.

-o FILENAME, --output FILENAME
    Output table file name.

  Statistics available:

--mean
    Mean log2 ratio (unweighted).

--median
    Median.

--mode
    Mode (i.e. peak density of bin log2 ratios).

--t-test
    One-sample t-test of bin log2 ratios versus 0.0.

--stdev
    Standard deviation.

--sem
    Standard error of the mean.

--mad
    Median absolute deviation (standardized).

--mse
    Mean squared error.

--iqr
    Inter-quartile range.

--bivar
    Tukey's biweight midvariance.

--ci
    Confidence interval (by bootstrap).

--pi
    Prediction interval.

-a ALPHA, --alpha ALPHA
    Level to estimate confidence and prediction intervals; use with --ci and --pi. [Default: 0.05]

-b BOOTSTRAP, --bootstrap BOOTSTRAP
    Number of bootstrap iterations to estimate confidence interval; use with --ci. [Default: 100]

--smooth-bootstrap
    Apply Gaussian noise to bootstrap samples, a.k.a. smoothed bootstrap, to estimate confidence interval; use with --ci.